//contextPath为相对应用根目录路径字符串,showStr为显示文字，可不填，默认为"数据处理中......"
function showLoading(contextPath,showStr) {
try{
   document.body.style.overflow = 'hidden';
   if(showStr==null || showStr==undefined){
    showStr="数据处理中....";
   }
   var div=document.createElement("div");
   div.innerHTML="<div style='border:solid 1px #6699ff;z-index:994;font-size:14px;COLOR: #000000; background:#ffffff;position:absolute; top:36%; left:42%;width:230px;padding:5px;text-align:left;'>&nbsp;"+
   "<img src='/images/loading4.gif' width='37' height='37' align='absmiddle' />"+showStr+"</div>"+
   "<div id='filltop' style='position:absolute;background-color:#000000;z-index:991;top:0px; left:0px; width:100%; height:100%;filter:alpha(opacity=30);opacity: 0.3;-moz-opacity: 0.3'></div>"; 
   div.setAttribute("id", "page_loading");
   document.body.appendChild(div);
   var divfilltop =document.getElementById("filltop");
   //alert("clientHeight:"+document.documentElement.clientHeight + 'px');
   //divfilltop.style.height = document.documentElement.clientHeight + 'px';
   //alert(" divfilltop.style.height:"+divfilltop.style.height + 'px');
  
    }catch(e){
    alert("页面锁定失败");
    }
}

function hiddenLoading(){
try{
	document.body.style.overflow = '';
   var div =document.getElementById("page_loading");
   //alert("开始解锁div:"+div);
   if(div !==null){
      //div.style.display='none';
    div.parentNode.removeChild(div);
    div=null;
    //alert("已经解锁div:"+div);
    CollectGarbage();
   }

}catch(e){
    alert("页面解锁出现异常");
}
}